package com.ruoyi.system.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 2024/3/27
 */
public class DateUtil {
    // Excel中日期从1900年1月1日开始的偏移量
    private static final long EXCEL_DATE_OFFSET = -2209075200000L;

    /**
     * 转换Excel表中日期的常规格式，比如43987
     *
     * @param date
     * @return
     */
    public static String excelDateConversion(String date) {
        double excelDate = Double.parseDouble(date);
        long milliseconds = (long) ((excelDate - 1) * 24 * 60 * 60 * 1000) + EXCEL_DATE_OFFSET;
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String format = simpleDateFormat.format(new Date(milliseconds));
        return format;
    }
}
